Ubuntu Sonarr installeren en downloaden met SABnzbd

In deze handleiding Ubuntu Sonarr installeren. Gaan we Sonarr installeren op een Computer met Ubuntu. Dit doen we via de command-line

We gaan alle software up to date brengen.

sudo apt-get update && sudo apt-get upgrade -y

We willen er zeker van zijn dat je de laatste versie krijgt van Sonarr.

sudo apt-key adv –keyserver hkp://keyserver.ubuntu.com:80 –recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo “deb http://download.mono-project.com/repo/debian wheezy main” | sudo tee /etc/apt/sources.list.d/mono-xamarin.list

Installatie mogelijkheid om https te installaties mogelijk te maken.

sudo apt-get install apt-transport-https -y

De installatie bron toevoegen voor Sonarr.

sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys FDA5DFFC
echo “deb https://apt.sonarr.tv/ master main” | sudo tee -a /etc/apt/sources.list.d/sonarr.list

Nu nog even een update voor de zekerheid.

sudo apt-get update

Nu gaan we Sonarr installeren.

sudo apt-get install nzbdrone -y

Nu de rechten op de map van Sonarr goed zetten.

sudo chown -R jegebruikersnaam /opt/NzbDrone

Je bent nu klaar met de installatie van Sonarr op Ubuntu.

Ubuntu Sonarr automatisch starten

We gaan nu een Scriptje aanmaken. Zodat Sonarr, automatisch wordt gestart. Tijdens het opstarten van je Ubuntu systeem.

sudo nano /etc/init.d/nzbdrone

Plak het volgende script hier in. En pas hier de gebruikersnaam aan.

APP_PATH=/opt/NzbDrone

# Gebruikersnaam
RUN_AS=je gebruikers naam

# path to mono bin
DAEMON=$(which mono)

# Locatie om PID file op te slaan.
PID_FILE=/var/run/nzbdrone/nzbdrone.pid
PID_PATH=$(dirname $PID_FILE)

# script naam
NAME=nzbdrone

# app naam
DESC=NzbDrone

# opstarts args
EXENAME=”NzbDrone.exe”
DAEMON_OPTS=” “$EXENAME

############### einde bewerk mij ##################

NZBDRONE_PID=`ps auxf | grep NzbDrone.exe | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $NZBDRONE_PID > $PID_FILE

case “$1” in
start)
if [ -z “${NZBDRONE_PID}” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “NzbDrone already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $NZBDRONE_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use basic functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

Sla dit script bestand op. Dit doe je door ctrl+x. En vervolgens druk y toets. En dan druk dan op Enter.

Nu het scriptje uitvoer rechten geven.

sudo chmod +x /etc/init.d/nzbdrone

Script meenemen tijdens het opstarten van je systeem.

sudo update-rc.d nzbdrone defaults

Je bent nu klaar met de installatie, van het opstart script.

Je kan het testen met het volgende commando.

sudo reboot

Je computer wordt nu opnieuw gestart.

Deel dit

Geef een reactie